Index: test/multigetctest.c
===================================================================
--- test/multigetctest.c	(revision 30)
+++ test/multigetctest.c	(revision 41)
@@ -51,4 +51,5 @@
 
     int connectionID = -1;
+    int wrongGetterID = -1;
     int getterID = -1;
 
@@ -147,4 +148,32 @@
         goto cleanup;
     }
+
+    wrongGetterID = xplra_multi_create_getter(connectionID);
+    if (wrongGetterID<0) goto error;
+    xplra_multi_add_int(wrongGetterID, "sim/time/local_date_days");
+    xplra_multi_add_int(wrongGetterID, "sim/time/paused");
+    xplra_multi_add_int(wrongGetterID, "sim/time/hello_te_lo");
+    xplra_multi_add_float(wrongGetterID, "sim/time/zulu_time_sec");
+    xplra_multi_add_int(wrongGetterID, "sim/operation/prefs/replay_mode");
+
+    printf("Executing a multi-dataref getter with an invalid dataref...\n");
+    if (xplra_multi_execute(wrongGetterID)<0) {
+        printf("Error occured: %s\n\n",
+               xplra_get_last_error_string(connectionID));
+        xplra_clear_last_error(connectionID);
+    } else {
+        printf(">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!\n\n");
+    }
+
+    printf("Executing a registered multi-dataref getter with an invalid dataref...\n");
+    if (xplra_multi_register(wrongGetterID)<0) goto error;
+    if (xplra_multi_execute(wrongGetterID)<0) {
+        printf("Error occured: %s\n\n",
+               xplra_get_last_error_string(connectionID));
+        xplra_clear_last_error(connectionID);
+    } else {
+        printf(">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!\n\n");
+    }
+
 
     getterID = xplra_multi_create_getter(connectionID);
Index: test/multigettest.cc
===================================================================
--- test/multigettest.cc	(revision 29)
+++ test/multigettest.cc	(revision 41)
@@ -42,4 +42,5 @@
 using hu::varadiistvan::xplra::MultiGetter;
 using hu::varadiistvan::xplra::Exception;
+using hu::varadiistvan::xplra::ProtocolException;
 
 using hu::varadiistvan::scpl::Thread;
@@ -62,4 +63,28 @@
         xplane.connect();
         printf("Connected to X-Plane.\n\n");
+
+        MultiGetter& wrongGetter = xplane.createMultiGetter();
+        wrongGetter.addInt("sim/time/local_date_days");
+        wrongGetter.addInt("sim/time/paused");
+        wrongGetter.addInt("sim/time/hello_te_lo");
+        wrongGetter.addFloat("sim/time/zulu_time_sec");
+        wrongGetter.addInt("sim/operation/prefs/replay_mode");
+
+        printf("Executing a multi-dataref getter with an invalid dataref...\n");
+        try {
+            wrongGetter.execute();
+            printf(">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!\n\n");
+        } catch(const ProtocolException& e) {
+            printf("Caught protocol exception: %s\n\n", e.what());
+        }
+
+        printf("Executing a registered multi-dataref getter with an invalid dataref...\n");
+        wrongGetter.registerInXPlane();
+        try {
+            wrongGetter.execute();
+            printf(">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!\n\n");
+        } catch(const ProtocolException& e) {
+            printf("Caught protocol exception: %s\n\n", e.what());
+        }
 
         MultiGetter& getter = xplane.createMultiGetter();
Index: test/multigettest.py
===================================================================
--- test/multigettest.py	(revision 35)
+++ test/multigettest.py	(revision 41)
@@ -16,4 +16,28 @@
         xplane.connect()
         print "Connected to X-Plane."
+        print
+
+        wrongGetter = xplane.createMultiGetter();
+        wrongGetter.addInt("sim/time/local_date_days");
+        wrongGetter.addInt("sim/time/paused");
+        wrongGetter.addInt("sim/time/hello_te_lo");
+        wrongGetter.addFloat("sim/time/zulu_time_sec");
+        wrongGetter.addInt("sim/operation/prefs/replay_mode");
+
+        print "Executing a multi-dataref getter with an invalid dataref..."
+        try:
+            wrongGetter.execute();
+            print ">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!"
+        except ProtocolException, e:
+            print "Caught protocol exception: " + str(e)
+        print
+
+        print "Executing a registered multi-dataref getter with an invalid dataref..."
+        wrongGetter.register()
+        try:
+            wrongGetter.execute();
+            print ">>>>>>>>>>>>>>>>>>>>> Succeeded, but it should not have!!!!"
+        except ProtocolException, e:
+            print "Caught protocol exception: " + str(e)
         print
 
